import spire.cloud.powerpoint.sdk.model.*;
import spire.cloud.powerpoint.sdk.api.*;

public class PropertiesApiDemo {
   static String appId = "your id";
   static String appKey = "your key";
	 public static void DeletePptDocumentProperties() throws Exception {
         PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "deletePptDocumentProperties.pptx";
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperties response = propertiesApi.deletePptDocumentProperties(name, password, folder, storage);
     }
     public static void DeletePptDocumentProperty() throws Exception {
    	 PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "deletePptDocumentProperty.pptx";
         String propertyName = "Author";
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperties response = propertiesApi.deletePptDocumentProperty(name, propertyName, password, folder, storage);
     }
     public static void GetPptDocumentProperties() throws Exception {
    	 PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "GetPptDocumentProperties.pptx";
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperties response = propertiesApi.getPptDocumentProperties(name, password, folder, storage);
     }
     public static void GetPptDocumentProperty() throws Exception {
    	 PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "GetPptDocumentProperty.pptx";
         String propertyName = "Author";
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperty response = propertiesApi.getPptDocumentProperty(name, propertyName, password, folder, storage);
     }
     public static void PostPptSetDocumentProperties() throws Exception {
    	 PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "PostPptSetDocumentProperties.pptx";
         DocumentProperty property1 = new DocumentProperty();
         property1.setName("customizeProperty001");
         property1.setValue("customizeValue");
         property1.setBuiltIn(false);
         DocumentProperty property2 = new DocumentProperty();
         property2.setName("Author");
         property2.setValue("e-iceblue");
         property2.setBuiltIn(false);
         DocumentProperties properties = new DocumentProperties();
         properties.addListItem(property1);
         properties.addListItem(property2);
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperties response = propertiesApi.postPptSetDocumentProperties(name, properties, password, folder, storage);
     }
     public static void PutPptSetDocumentProperty() throws Exception {
    	 PropertiesApi propertiesApi = new PropertiesApi(appId, appKey);
         String name = "PutPptSetDocumentProperty.pptx";
         String propertyName = "customizePropertyTest";
         DocumentProperty property = new DocumentProperty();
         property.setName(propertyName);
         property.setValue("customizeValueTest");
         property.setBuiltIn(false);
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentProperty response = propertiesApi.putPptSetDocumentProperty(name, propertyName, property, password, folder, storage);
     }
}
