import spire.cloud.powerpoint.sdk.ApiException;
import spire.cloud.powerpoint.sdk.model.*;
import spire.cloud.powerpoint.sdk.api.TextApi;

public class TextApiDemo{
	   static String appId = "your id";
     static String appKey = "your key";
     
     public static void GetPptPresentationTextItems() throws Exception {
         TextApi textApi = new TextApi(appId, appKey);
         String name = "test.pptx";
         boolean withEmpty = false;
         String password = null;
         String folder = "input";
         String storage = null;
         TextItems response = textApi.getPptPresentationTextItems(name, withEmpty, password, folder, storage);
     }
     public static void GetPptSlideTextItems() throws Exception {
    	 TextApi textApi = new TextApi(appId, appKey);
         String name = "test.pptx";
         int slideIndex = 0;
         boolean withEmpty = false;
         String password = null;
         String folder = "input";
         String storage = null;
         TextItems response = textApi.getPptSlideTextItems(name, slideIndex, withEmpty, password, folder, storage);       
     }
     public static void PostPptPresentationReplaceText() throws Exception{
    	 TextApi textApi = new TextApi(appId, appKey);
         String name = "test.pptx";
         String oldValue = "Hello";
         String newValue = "Hi";
         boolean ignoreCase = false;
         String password = null;
         String folder = "input";
         String storage = null;
         DocumentReplaceResult response = textApi.postPptPresentationReplaceText(name, oldValue, newValue, ignoreCase, password, folder, storage);
     }
     public static void PostPptSlideReplaceText() throws Exception{
    	 TextApi textApi = new TextApi(appId, appKey);
         String name = "test1.pptx";
         int slideIndex = 2;
         String oldValue = "Slide1";
         String newValue = "Slide001";
         boolean ignoreCase = true;
         String password = null;
         String folder = "input";
         String storage = null;
         SlideReplaceResult response = textApi.postPptSlideReplaceText(name, slideIndex, oldValue, newValue, ignoreCase, password, folder, storage);
     }

}
